jvocuhadju(1L)

NAME
jvocuhadju - Lujvo picker (based on the rules in the reference grammar.)

SYNOPSIS

jvocuhadju [-v] [-a] [-l] tanru-component-1 [ ... tanru-component-n ]

DESCRIPTION
jvocuhadju is a program that reads a list of tanru-components (gismu or cmavo) on the command line, and constructs the possible short-form lujvo corresponding to those components in sequence. The possible lujvo are displayed ranked in order of desirability, with their scores shown based on the algorithm in the reference grammar. The lowest score is best.

Where a tanru-component is a cmavo containing an apostrophe, the apostrophe may be replaced by the letter "h" on the command line. This is a convenience to avoid having to backslash-escape the apostrophe to hide it from the shell.

OPTIONS

-v  Show the program version and exit.

-a  List all possible lujvo for the input tanru (default is just the best 8).

-l  Allow 4/5 letter rafsi to be picked even if a 3 letter form is available for any particular tanru component.

tanru-component-k
    This is a gismu or cmavo which is one component of the word. Cmavo must have a rafsi corresponding to them.

SEE ALSO

jbofihe
    Checks Lojban grammar checker and provides English translations of the individual words.

cmafihe
    Provides English translations of Lojban words in the input, without checking the grammar. Useful for getting a rough translation of grammatically invalid text.

FILES

BUGS
ju'oru'e so'imei (Surely there are many).

REFERENCES

http://go.to/jbofihe
    Home page for the jbofihe project

http://www.lojban.org/
    Home page of the Lojban community

http://www.rc0.org.uk/lojban/
    My Lojban page.

AUTHOR
Richard Curnow <rpc@myself.com>